-- Surface area
function r(y)
  return sqrt(macalc.rcl(1)^2*(1-((macalc.rcl(2)-macalc.rcl(3)+y)^2/macalc.rcl(2)^2)))
end

function lua_main()
  h = macalc.rcl(3)
  -- How many times is this sliced?
  slices = 5000
  -- Set iterator
  i = 1
  -- Create delta distance
  d = h/slices
  -- Set initial y-coordinate just below top
  y = h-d
  -- Set total area to the dome area of top
  t = (d^2+r(y)^2)*pi

  repeat
    -- top y,x and circumference
    ay  = h-d*i
    ax  = r(ay)
    ac  = ax*2*pi
    -- bottom y, x and circumference
    by  = h-d*(i+1)
    bx  = r(by)
    bc  = bx*2*pi
    -- distance between slice edges
    dst = sqrt((ax-bx)^2+(ay-by)^2)
    
    -- trapezoid area
    area = dst*((ac+bc)/2)

    -- add up area
    t = t + area
    i = i+1

  until i>=slices

  return t
end
